
%-------------MAIN PLOT CALCULATION OF OPINION DYNAMICS---------------
%This code calls two functions to prevent complication
%After all opinions have been shared, the expected graph should have a less
%populated peak and a densely populated base.
%--------------Written by Ankita Nandi(2/6/17)------------------------
tic
clc
clear all
global Th
global B;
global pop;
Th=0.5;
B=0.5;%Beta value which is constant for one model
pop=100;%population
itr=100;%1 iteration is 1 time instant
R=rand(1,pop);%randomly generated numbers
% R=R-min(R)
E=zeros(itr,pop);%evolution matrix whose first row is randomly generated
E(1,:)=R(1,:);
for i=1:itr-1
              E(i+1,:)=evolution(E(i,:),B,pop);
              
end
figure;
hold on
for i=1:itr
plot(0.1*i*ones(1,pop),E(i,:),'x');grid on;
end

hold off
toc