%load a workspace file by mathing its name with the provided pattern
list_files=dir;
name_of_files={list_files.name}';
xbin=0:0.05:1;
new_convg_arr=[];
new_peak_arr=[];
A=[];
P=[];
Th=[0.05 0.1 0.2 0.3 0.4 0.5];
Beta=[];
B=[0.05:0.01:0.5]
s=1; %for indexing the convg time and peaks
for i=1:numel(name_of_files)
for B_i=1:46
            name_file=strcat('0.5_',num2str(B(B_i)),'_1.mat');
            if strfind(name_of_files{i},name_file)
                load(name_of_files{i});
                fprintf('loaded %s \n',name_of_files{i});
        
                %codes for finding the num of peaks and conv
                for p=1:itr-1
                    if norm((sort(E(p,:)))-(sort(E(p+1,:)))) < cnvg_criteria
                        new_convg_arr(s)=p;%convergence time
                        break;
                    end         
                end
                new_peak_arr(s)=length(find(hist(E(end,:),xbin)));%total number of peaks
                s=s+1; 
            end
end
end
P=[P new_peak_arr]%array of peaks
A=[A new_convg_arr]%peak of convergence time
figure(1),plot(B,P,'x-r'),title('Beta vs Peak at Th=0.5'),xlabel('Beta'),ylabel('Peak');
