%MAIN CODE FOR OPINION DYNAMICS
% A single random vector is insufficient to draw conclusions for a particular case
% So, For a specific value of Th and B we run the code several times
% written by Ankita Nandi (7/6/17)
clear;
rng('shuffle');%shuffles the way the random vector is generated
global pop;
global itr;
global cnvg_criteria; %convergence criteria
cnvg_criteria = 0.0001;
Th=[0.1 0.05];%[0.5 0.4 0.3 0.2 0.1 0.05]; %threshold value
B=[0.5 0.4 0.3 0.2 0.1 0.05]; %Beta value which is constant for one model
pop=500; %population
itr=200; %1 iteration is 1 time instant
instances = 20; %number of instances 
E=[];
convg_arr=zeros(1,instances);
peak_arr=zeros(1,instances);
indx=0;
tic
for j=1:length(Th)
        for k=1:length(B)
            for l=1:instances
                fprintf('current simulation info: \n threshold: %6.4f \n B: %6.4f \n instance no: %d \n',Th(j),B(k),l);
                [E,convg_arr(l),peak_arr(l)]= convg_peak(Th(j),B(k));
                format shortg
                c=clock;
                wrkspce_name=strcat(num2str(c(1)),'_',num2str(c(2)),'_',num2str(c(3)),'_',num2str(c(4)),'_',num2str(c(5)),'_',num2str(Th(j)),'_',num2str(B(k)),'_',num2str(l),'.mat');
                save(wrkspce_name)
            end
%         
         end
end
%E=mean(E)
% convTime=mean(convg);

toc
