%function to calculate the unique pair
%type r , c to get corresponding rc pairs
%written by Ankita Nandi----Date:4/6/17
function [r,c]=unique_pair_deter(Vec,Th)
global pop;
diff =zeros(pop,pop);%initializing difference matrix
diff=abs(bsxfun(@minus, Vec, Vec'));%taking all possible element combinations and finding difference
diff=tril(diff,-1);%taking the lower triangular matrix
r=[];%initialize empty row
c=[];%initialize empty column
[diff_r,diff_c]=size(diff);
for i=2:diff_r
    for j=1:(diff_c-1)
        if diff(i,j)> Th || diff(i,j)==Th
            diff(i,j)=0;
        end
    end
end
%display(diff)
for i=2:diff_r
    for j=1:(diff_c-1)
        if diff(i,j)== max(max(diff))%cheking for the farthest entries within the threshold
            r=[r i]%appending the entry position
            c=[c j]%appending the entry position
            diff(i,:)=0;
            diff(:,j)=0;
        end
    end
end